package excel.costfirst;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 *
 * </p>
 *
 * @author robbendev
 * @since 2020/9/1 4:03 下午
 */
@Data
public class CostFirst {

    public static final String TYPE_1 = "不用初始值，都动态";
    public static final String TYPE_2 = "初始值 头程按照10/kg";
    public static final String TYPE_3 = "广州仓的这些都不用算头程";
    public static final String TYPE_4 = "国内仓无需设置";
    public static final String TYPE_5 = "设置初始值1kg/10元-然后都动态";
    public static final String TYPE_6 = "这些仓库无需设置";

    public static final Map<String, Integer> map = new HashMap<>();

    static {
        map.put("不用初始值，都动态", 1);
        map.put("初始值 头程按照10/kg", 2);
        map.put("广州仓的这些都不用算头程", 3);
        map.put("国内仓无需设置", 4);
        map.put("设置初始值1kg/10元-然后都动态", 5);
        map.put("这些仓库无需设置", 6);
    }

    @ExcelProperty("bailun_sku")
    private String bailunSku;

    @ExcelProperty("sku标题")
    private String skuTitle;

    @ExcelProperty("采购员")
    private String purchaseUser;

    @ExcelProperty("仓库编码")
    private String warehouseCode;

    @ExcelProperty("仓库名称")
    private String warehouseName;

    @ExcelProperty("每个sku的头程费")
    private BigDecimal cost;

    @ExcelProperty("type")
    private String type;

}
